syntax = "proto3";

package p2p.v1;
import "p2p/v1/request_response.proto";
import "google/protobuf/empty.proto";



service P2PService {

  rpc BroadcastMsg(BroadCastRequest) returns (BroadCastResponse) {}
  rpc BroadcastTxsMsg(BroadCastTxsRequest) returns (BroadCastTxsResponse) {}
  rpc BatchTxsmsg(BatchTxsHashRequest)returns (BatchTxsHashResponse){}

  rpc SendMsg(SendDataRequest) returns (SendDataResponse) {}
  rpc SubscribeMsg(SubscribeMsgRequest) returns (SubscribeMsgResponse) {}



// network info service
  rpc NetPeerCount(google.protobuf.Empty) returns (NetPeerCountResponse) {};
  rpc NetVersion(google.protobuf.Empty) returns (NetVersionResponse) {};

}
